GET /pool/{uuid}/httpcachestats/detail/
/pool/{uuid}/httpcachestats/detail/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"available_size": 0,
"chain_copy_fail": 0,
"chain_split_fail": 0,
"data_allocations": 0,
"data_freed": 0,
"data_memory": 0,
"data_shm_fail": 0,
"entry_shm_fail": 0,
"etype_adds": [
{
"count": 0,
"encoding": "string"
}
],
"etype_objects": [
{
"count": 0,
"encoding": "string"
}
],
"fetch": [
{
"count": 0,
"name": "string"
}
],
"global_evicts": 0,
"incoming": {
"additions": 0,
"data_size": 0,
"deletions": 0,
"hits": 0,
"hits_expired": 0,
"objects": 0,
"out_of_mem_evicts": 0,
"overwrite_evicts": 0,
"served_bytes": 0
},
"local_evicts": 0,
"lookups": 0,
"meta_size": 0,
"obj_allocations": 0,
"obj_freed": 0,
"obj_memory": 0,
"object_shm_fail": 0,
"outgoing": {
"additions": 0,
"data_size": 0,
"deletions": 0,
"hits": 0,
"hits_expired": 0,
"objects": 0,
"out_of_mem_evicts": 0,
"overwrite_evicts": 0,
"served_bytes": 0
},
"proc_id": "string",
"reval": [
{
"count": 0,
"name": "string"
}
],
"se_uuid": "string",
"store": [
{
"count": 0,
"name": "string"
}
],
"store_out": [
{
"count": 0,
"name": "string"
}
]
}
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Header body split and copy failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Header body split failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Shared memory allocations for cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Shared memory freed from cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total Shared memory in use for cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Packet data buffer allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Entry allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
incoming
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Shared memory allocations for cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Shared memory free from cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total Shared memory in use for cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Object allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
outgoing
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/httpcachestats/detail